Subject: 24.3; Symbol's value as variable is void: help-xref-following
From: Vitalie Spinu <[email-masked]>
To: [email-masked]
Date: Tue, 07 May 2013 01:20:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have noticed this issue for second time this week.

When trying to access emacs help (C-h f) I am getting the error:

    help-setup-xref: Symbol's value as variable is void: help-xref-following

I tracked it down to the warnign in *messages*

   Warning: defvar ignored because help-xref-following is let-bound

so the variable help-xref-following in help-mode.el is not getting
defined during the auto-load for the above reason.

Any ideas of how to debug this issue? It is not reproducible, it just
happens from time to time.

    Vitalie

In GNU Emacs 24.3.2 (i686-pc-linux-gnu, X toolkit, Xaw scroll bars)
 of 2013-04-29 on vitoshka-home
Windowing system distributor `The X.Org Foundation', version 11.0.11303000
System Description:	Ubuntu 13.04

Configured using:
 `configure '--with-x-toolkit=lucid''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t